Subject: Re: bug#74392: parted crash

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 21 Nov 2024 07:57:48 -0800

On Thu, Nov 21, 2024 at 09:21:28AM +0300, Alexey Kuznetsov wrote:
> > Thanks for the report, this isn't really a crash -- it's the program
> > protecting you from doing something bad to the disk. hybrid iso
> > 'disklabels' are not meant to be edited. The combine several things into
> > one so that they can boot multiple places, but aren't supported as an
> > actual disk label.
> 
> Actually parted brakes drive, because the "rm 2" command instantly
> removes the partition and saves the changes, and next command mkpart
> crashes the app. I expect parted would change the mac or msdos
> partition map, so I can change the rest manually. Or even better, that
> parted would change msdos by default which is used by kernel by
> default (not mac partition)
> 

Hm. That's not great, I'll look into maybe detecting hybridiso and
returning an error.

Thanks,

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart